Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.colorer.impl
Class Logger

    java.lang.Object
      net.sf.colorer.impl.Logger

    public class Logger

extends java.lang.Object

Logging Service class

Field Summary
`static boolean` | `ERROR`
`static boolean` | `FILTER`
`static boolean` | `TRACE`

Constructor Summary
`Logger()`

Method Summary
`static void` | `error(java.lang.String comp, java.lang.Object msg)`
`static void` | `error(java.lang.String comp, java.lang.Object msg, java.lang.Throwable ex)`
`static void` | `trace(java.lang.String comp, java.lang.Object msg)`
`static void` | `trace(java.lang.String comp, java.lang.Object msg, java.lang.Throwable ex)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILTER

    public static final boolean FILTER

### TRACE

    public static final boolean TRACE

### ERROR

    public static final boolean ERROR

Constructor Detail

### Logger

    public Logger()

Method Detail

### trace

    public static void trace(java.lang.String comp,
                             java.lang.Object msg)

### error

    public static void error(java.lang.String comp,
                             java.lang.Object msg)

### trace

    public static void trace(java.lang.String comp,
                             java.lang.Object msg,
                             java.lang.Throwable ex)

### error

    public static void error(java.lang.String comp,
                             java.lang.Object msg,
                             java.lang.Throwable ex)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Cail Lomecb. All Rights Reserved.